Subject: Re: linux-next: build failure after merge of the usb-gadget-fixes tree

From: Felipe Balbi <[email-masked]>
Date: Tue, 28 Oct 2014 19:29:08 -0500

On Wed, Oct 29, 2014 at 09:58:48AM +1100, Stephen Rothwell wrote:
> Hi Felipe,
> 
> After merging the usb-gadget-fixes tree, today's linux-next build
> (x86_64 allmodconfig) failed like this:
> 
> drivers/usb/dwc2/gadget.c: In function 's3c_hsotg_suspend':
> drivers/usb/dwc2/gadget.c:3633:2: error: implicit declaration of function 's3c_hsotg_core_disconnect' [-Werror=implicit-function-declaration]
>   s3c_hsotg_core_disconnect(hsotg);
>   ^
> 
> Caused by commit 9f2104db1295 ("usb: dwc2: gadget: fix calls to phy
> control functions in suspend/resume code").
> 
> I have used the usb-gadget-fixes tree from next-20141028 for today.

I dropped that commit for now. I guess I forgot to build test that one,
sorry.

-- 
balbi